package migrations

import (
	"context"
	"fmt"

	"fr.latosa-escrima/core/models"
	"github.com/uptrace/bun"
)

func init() {
	Migrations.MustRegister(func(ctx context.Context, db *bun.DB) error {
		fmt.Print(" [up migration] ")
		_, err := db.
			NewAddColumn().
			Model((*models.Blog)(nil)).
			ColumnExpr("category TEXT").
			Exec(ctx)
		return err
	}, func(ctx context.Context, db *bun.DB) error {
		fmt.Print(" [down migration] ")
		return nil
	})
}
